## WMS Send From Memory Storage request WMS Send From Memory Storage request |

## Functions

QmiMessageWmsSendFromMemoryStorageInput * | qmi_message_wms_send_from_memory_storage_input_new ()
QmiMessageWmsSendFromMemoryStorageInput * | qmi_message_wms_send_from_memory_storage_input_ref ()
void | qmi_message_wms_send_from_memory_storage_input_unref ()
gboolean | qmi_message_wms_send_from_memory_storage_input_get_sms_on_ims ()
gboolean | qmi_message_wms_send_from_memory_storage_input_set_sms_on_ims ()
gboolean | qmi_message_wms_send_from_memory_storage_input_get_information ()
gboolean | qmi_message_wms_send_from_memory_storage_input_set_information ()
QmiMessageWmsSendFromMemoryStorageOutput * | qmi_message_wms_send_from_memory_storage_output_ref ()
void | qmi_message_wms_send_from_memory_storage_output_unref ()
gboolean | qmi_message_wms_send_from_memory_storage_output_get_result ()
gboolean | qmi_message_wms_send_from_memory_storage_output_get_message_id ()
gboolean | qmi_message_wms_send_from_memory_storage_output_get_cdma_cause_code ()
gboolean | qmi_message_wms_send_from_memory_storage_output_get_cdma_error_class ()
gboolean | qmi_message_wms_send_from_memory_storage_output_get_gsm_wcdma_cause_info ()
gboolean | qmi_message_wms_send_from_memory_storage_output_get_message_delivery_failure_type ()
void | qmi_client_wms_send_from_memory_storage ()
QmiMessageWmsSendFromMemoryStorageOutput * | qmi_client_wms_send_from_memory_storage_finish ()

## Types and Values

| QmiMessageWmsSendFromMemoryStorageInput
| QmiMessageWmsSendFromMemoryStorageOutput

## Object Hierarchy

        GBoxed
        ├── QmiMessageWmsSendFromMemoryStorageInput
        ╰── QmiMessageWmsSendFromMemoryStorageOutput

## Description

## Functions

### qmi_message_wms_send_from_memory_storage_input_new ()

    QmiMessageWmsSendFromMemoryStorageInput *
    qmi_message_wms_send_from_memory_storage_input_new
                                   (void);

Allocates a new QmiMessageWmsSendFromMemoryStorageInput.

#### Returns

the newly created QmiMessageWmsSendFromMemoryStorageInput. The returned value should be freed with `qmi_message_wms_send_from_memory_storage_input_unref()`.

Since: 1.0

### qmi_message_wms_send_from_memory_storage_input_ref ()

    QmiMessageWmsSendFromMemoryStorageInput *
    qmi_message_wms_send_from_memory_storage_input_ref
                                   (QmiMessageWmsSendFromMemoryStorageInput *self);

Atomically increments the reference count of `self` by one.

#### Parameters

self | a QmiMessageWmsSendFromMemoryStorageInput. |

#### Returns

the new reference to `self` .

Since: 1.0

### qmi_message_wms_send_from_memory_storage_input_unref ()

    void
    qmi_message_wms_send_from_memory_storage_input_unref
                                   (QmiMessageWmsSendFromMemoryStorageInput *self);

Atomically decrements the reference count of `self` by one. If the reference count drops to 0, `self` is completely disposed.

#### Parameters

self | a QmiMessageWmsSendFromMemoryStorageInput. |

Since: 1.0

### qmi_message_wms_send_from_memory_storage_input_get_sms_on_ims ()

    gboolean
    qmi_message_wms_send_from_memory_storage_input_get_sms_on_ims
                                   (QmiMessageWmsSendFromMemoryStorageInput *self,
                                    gboolean *value_sms_on_ims,
                                    GError **error);

Get the 'SMS on IMS' field from `self` .

#### Parameters

self | a QmiMessageWmsSendFromMemoryStorageInput. |
value_sms_on_ims | a placeholder for the output gboolean, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.0

### qmi_message_wms_send_from_memory_storage_input_set_sms_on_ims ()

    gboolean
    qmi_message_wms_send_from_memory_storage_input_set_sms_on_ims
                                   (QmiMessageWmsSendFromMemoryStorageInput *self,
                                    gboolean value_sms_on_ims,
                                    GError **error);

Set the 'SMS on IMS' field in the message.

#### Parameters

self | a QmiMessageWmsSendFromMemoryStorageInput. |
value_sms_on_ims | a gboolean. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

Since: 1.0

### qmi_message_wms_send_from_memory_storage_input_get_information ()

    gboolean
    qmi_message_wms_send_from_memory_storage_input_get_information
                                   (QmiMessageWmsSendFromMemoryStorageInput *self,
                                    QmiWmsStorageType *value_information_storage_type,
                                    guint32 *value_information_memory_index,
                                    QmiWmsMessageMode *value_information_message_mode,
                                    GError **error);

Get the 'Information' field from `self` .

#### Parameters

self | a QmiMessageWmsSendFromMemoryStorageInput. |
value_information_storage_type | a placeholder for the output QmiWmsStorageType, or `NULL` if not required. |
value_information_memory_index | a placeholder for the output guint32, or `NULL` if not required. |
value_information_message_mode | a placeholder for the output QmiWmsMessageMode, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.0

### qmi_message_wms_send_from_memory_storage_input_set_information ()

    gboolean
    qmi_message_wms_send_from_memory_storage_input_set_information
                                   (QmiMessageWmsSendFromMemoryStorageInput *self,
                                    QmiWmsStorageType value_information_storage_type,
                                    guint32 value_information_memory_index,
                                    QmiWmsMessageMode value_information_message_mode,
                                    GError **error);

Set the 'Information' field in the message.

#### Parameters

self | a QmiMessageWmsSendFromMemoryStorageInput. |
value_information_storage_type | a QmiWmsStorageType. |
value_information_memory_index | a guint32. |
value_information_message_mode | a QmiWmsMessageMode. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

Since: 1.0

### qmi_message_wms_send_from_memory_storage_output_ref ()

    QmiMessageWmsSendFromMemoryStorageOutput *
    qmi_message_wms_send_from_memory_storage_output_ref
                                   (QmiMessageWmsSendFromMemoryStorageOutput *self);

Atomically increments the reference count of `self` by one.

#### Parameters

self | a QmiMessageWmsSendFromMemoryStorageOutput. |

#### Returns

the new reference to `self` .

Since: 1.0

### qmi_message_wms_send_from_memory_storage_output_unref ()

    void
    qmi_message_wms_send_from_memory_storage_output_unref
                                   (QmiMessageWmsSendFromMemoryStorageOutput *self);

Atomically decrements the reference count of `self` by one. If the reference count drops to 0, `self` is completely disposed.

#### Parameters

self | a QmiMessageWmsSendFromMemoryStorageOutput. |

Since: 1.0

### qmi_message_wms_send_from_memory_storage_output_get_result ()

    gboolean
    qmi_message_wms_send_from_memory_storage_output_get_result
                                   (QmiMessageWmsSendFromMemoryStorageOutput *self,
                                    GError **error);

Get the result of the QMI operation.

#### Parameters

self | a QmiMessageWmsSendFromMemoryStorageOutput. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the QMI operation succeeded, `FALSE` if `error` is set.

Since: 1.0

### qmi_message_wms_send_from_memory_storage_output_get_message_id ()

    gboolean
    qmi_message_wms_send_from_memory_storage_output_get_message_id
                                   (QmiMessageWmsSendFromMemoryStorageOutput *self,
                                    guint16 *value_message_id,
                                    GError **error);

Get the 'Message ID' field from `self` .

#### Parameters

self | a QmiMessageWmsSendFromMemoryStorageOutput. |
value_message_id | a placeholder for the output guint16, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.0

### qmi_message_wms_send_from_memory_storage_output_get_cdma_cause_code ()

    gboolean
    qmi_message_wms_send_from_memory_storage_output_get_cdma_cause_code
                                   (QmiMessageWmsSendFromMemoryStorageOutput *self,
                                    QmiWmsCdmaCauseCode *value_cdma_cause_code,
                                    GError **error);

Get the 'CDMA Cause Code' field from `self` .

#### Parameters

self | a QmiMessageWmsSendFromMemoryStorageOutput. |
value_cdma_cause_code | a placeholder for the output QmiWmsCdmaCauseCode, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.0

### qmi_message_wms_send_from_memory_storage_output_get_cdma_error_class ()

    gboolean
    qmi_message_wms_send_from_memory_storage_output_get_cdma_error_class
                                   (QmiMessageWmsSendFromMemoryStorageOutput *self,
                                    QmiWmsCdmaErrorClass *value_cdma_error_class,
                                    GError **error);

Get the 'CDMA Error Class' field from `self` .

#### Parameters

self | a QmiMessageWmsSendFromMemoryStorageOutput. |
value_cdma_error_class | a placeholder for the output QmiWmsCdmaErrorClass, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.0

### qmi_message_wms_send_from_memory_storage_output_get_gsm_wcdma_cause_info ()

    gboolean
    qmi_message_wms_send_from_memory_storage_output_get_gsm_wcdma_cause_info
                                   (QmiMessageWmsSendFromMemoryStorageOutput *self,
                                    QmiWmsGsmUmtsRpCause *value_gsm_wcdma_cause_info_rp_cause,
                                    QmiWmsGsmUmtsTpCause *value_gsm_wcdma_cause_info_tp_cause,
                                    GError **error);

Get the 'GSM WCDMA Cause Info' field from `self` .

#### Parameters

self | a QmiMessageWmsSendFromMemoryStorageOutput. |
value_gsm_wcdma_cause_info_rp_cause | a placeholder for the output QmiWmsGsmUmtsRpCause, or `NULL` if not required. |
value_gsm_wcdma_cause_info_tp_cause | a placeholder for the output QmiWmsGsmUmtsTpCause, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.0

### qmi_message_wms_send_from_memory_storage_output_get_message_delivery_failure_type ()

    gboolean
    qmi_message_wms_send_from_memory_storage_output_get_message_delivery_failure_type
                                   (QmiMessageWmsSendFromMemoryStorageOutput *self,
                                    QmiWmsMessageDeliveryFailureType *value_message_delivery_failure_type,
                                    GError **error);

Get the 'Message Delivery Failure Type' field from `self` .

#### Parameters

self | a QmiMessageWmsSendFromMemoryStorageOutput. |
value_message_delivery_failure_type | a placeholder for the output QmiWmsMessageDeliveryFailureType, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.0

### qmi_client_wms_send_from_memory_storage ()

    void
    qmi_client_wms_send_from_memory_storage
                                   (QmiClientWms *self,
                                    QmiMessageWmsSendFromMemoryStorageInput *input,
                                    guint timeout,
                                    GCancellable *cancellable,
                                    GAsyncReadyCallback callback,
                                    gpointer user_data);

Asynchronously sends a Send From Memory Storage request to the device.

When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from.

You can then call `qmi_client_wms_send_from_memory_storage_finish()` to get the result of the operation.

#### Parameters

self | a QmiClientWms. |
input | a QmiMessageWmsSendFromMemoryStorageInput. |
timeout | maximum time to wait for the method to complete, in seconds. |
cancellable | a GCancellable or `NULL`. |
callback | a GAsyncReadyCallback to call when the request is satisfied. |
user_data | user data to pass to `callback` . |

Since: 1.0

### qmi_client_wms_send_from_memory_storage_finish ()

    QmiMessageWmsSendFromMemoryStorageOutput *
    qmi_client_wms_send_from_memory_storage_finish
                                   (QmiClientWms *self,
                                    GAsyncResult *res,
                                    GError **error);

Finishes an async operation started with `qmi_client_wms_send_from_memory_storage()`.

#### Parameters

self | a QmiClientWms. |
res | the GAsyncResult obtained from the GAsyncReadyCallback passed to `qmi_client_wms_send_from_memory_storage()`. |
error | Return location for error or `NULL`. |

#### Returns

a QmiMessageWmsSendFromMemoryStorageOutput, or `NULL` if `error` is set. The returned value should be freed with `qmi_message_wms_send_from_memory_storage_output_unref()`.

Since: 1.0

## Types and Values

### QmiMessageWmsSendFromMemoryStorageInput

    typedef struct _QmiMessageWmsSendFromMemoryStorageInput QmiMessageWmsSendFromMemoryStorageInput;

The QmiMessageWmsSendFromMemoryStorageInput structure contains private data and should only be accessed using the provided API.

Since: 1.0

### QmiMessageWmsSendFromMemoryStorageOutput

    typedef struct _QmiMessageWmsSendFromMemoryStorageOutput QmiMessageWmsSendFromMemoryStorageOutput;

The QmiMessageWmsSendFromMemoryStorageOutput structure contains private data and should only be accessed using the provided API.

Since: 1.0